PDA

View Full Version : سوال: error : The Tools version "4.0 is unrecongnized



Sal_64
دوشنبه 12 مهر 1389, 11:57 صبح
روی سیستم یه ویندوز دیگه نصب کردم
با ویژوال استدیو
اما زمانیکه میخوام پروژه هایی رو که تو اون ویندوز داشتم در این ویژوال استدیو باز کنم
این خطا رو میده
دلیلش چیه
و چطور باید رفعش کرد

با تشکر

Microsoft.net
دوشنبه 12 مهر 1389, 12:07 عصر
علتش مال اینه که احتمالا ورژن ویژوال استدیو هات با هم یکی نیست. یعنی تو win قبلی پروژه رو با vs2010 باز کردی الان داری با 2008 باز می کنی. tools version 4.0 هم منظورش همون vs2010 هست.

محسن شامحمدی
دوشنبه 12 مهر 1389, 12:13 عصر
برای حل این مشکل باید vs 2010 نصب کنید تا پروژه هاتون باز بشه

Sal_64
دوشنبه 12 مهر 1389, 12:56 عصر
با تشکر از پاسخگویی دوستان

بله در اون ویندوز vs2010 هم نصب هست اما کاری بهش ندارم!!
و در ویندوز اول پروژه رو با VS2008 باز میکنم و تغییرات رو اعمال میکنم
اما در ویندوز دوم با همون خطا رو به رو میشم
جالب اینجاست تو ویندوز اول 3 پروژه هست که هر 3 در VS2008 باز و اجرا میشن
اما تنها یکی از اونها در ویندوز دوم در VS2008 باز میشه

حالا یه سوال دیگه
این تولز ورژن 4 یکی از ابزارهای VS2010 ؟
آیا با نصب VS2010 در ویندوز دوم این تولز ورژن اضافه میشه و من میتونم پروژه رو تو VS2008 باز کنم؟

البته به علت سرعت کند VS2010 نمیتونم پرژها رو با اون اجرا کنم
در واقع نمیشه از VS2010 استفاده کرد

بازهم تشکر